<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


include("../conf/preferences.php");
session_name(SYS_APP_SESSNAME);
session_start();
include("../conf/langs/".$langs[$_SESSION['userlang']][0]."/MAIN.php");
include("../conf/connections.php");
include("../phplib/auth.php");
require_once("../phplib/utils.php");
require_once("../core/plugins.php");

$accion=$_GET['action'];

$obj=NULL;	
$result="";		

function getNavTree($padre){
	$cadena="";
	$query="SELECT a.*, (SELECT COUNT(id) FROM " . SYS_HELP_TABLE . " WHERE padre=a.id) AS hijos FROM " . SYS_HELP_TABLE . " a WHERE padre='" . $padre . "' order by orden,id";			
	$q=mysql_query($query);
	while($f=mysql_fetch_array($q)){
		$id=$f['id'];
		
		$parent= $padre=='0' ? '' : $padre;
		$icono=$f['icono'];
		$tempicono=explode(".",$icono);
		$nombreicono=$tempicono[0];
		
		$cadena.="<li id='phtml_{$id}' rel='{$nombreicono}'><a href='contents.php?topic={$f['topic']}' rel='folder' target='helpMainFrame'><img src='../resources/icons16/{$icono}' class='iconomenu' /> {$f['titulo']}</a>\n";

		if($f['hijos']>0){
			$cadena.="<ul>\n";
			$cadena.=getNavTree($id);
			$cadena.="</ul>\n";
		}
		$cadena.="</li>\n";
	}
	return $cadena;
}

switch($accion){
	case "getMenu":
		$result="<ul>";
		$result.=getNavTree('0');
		$result.="</ul>";
		break;
}
echo $result;
?>